### Class

# Ide LspSymbolTree

#### Description

    final class Ide.LspSymbolTree : GObject.Object {
      /* No available fields */
    }

No description available.

#### Ancestors

- GObject

#### Implements

- IdeSymbolTree

#### Instance methods

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

##### Methods inherited from IdeSymbolTree (2)

###### ide_symbol_tree_get_n_children

Get the number of children of `node`. If `node` is NULL, the root node is assumed.

Available since: 3.32

###### ide_symbol_tree_get_nth_child

Gets the `nth` child node of `node`.

Available since: 3.32

#### Signals

##### Signals inherited from GObject (1)

###### GObject.Object::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

#### Class structure

    struct IdeLspSymbolTreeClass {
      GObjectClass parent_class;

    }

###### Class members

`parent_class` |
    GObjectClass
| No description available.